      SUBROUTINE CROTG(CA,CB,C,S)
*     .. Scalar Arguments ..
      COMPLEX CA,CB,S
      REAL C
*     ..
*
*  Purpose
*  =======
*
*  CROTG determines a complex Givens rotation.
*
*  =====================================================================
*
*     .. Local Scalars ..
      COMPLEX ALPHA,CDUM
      REAL NORM,SCALE,CABS3
*     ..
*     .. Intrinsic Functions ..
      INTRINSIC CABS,CONJG,SQRT
*     ..
      CABS3(CDUM) = sqrt(real(CDUM)**2 + aimag(CDUM)**2)
      IF (CABS(CA).EQ.0.) THEN
         C = 0.
         S = (1.,0.)
         CA = CB
      ELSE
         SCALE = CABS3(CA) + CABS3(CB)
	 NORM = SCALE*SQRT((CABS3(CA/SCALE))**2+ (CABS3(CB/SCALE))**2)
	 ALPHA = CA/CABS3(CA)
	 C = CABS3(CA)/NORM
         S = ALPHA*CONJG(CB)/NORM
         CA = ALPHA*NORM
      END IF
      RETURN
      END
